testLib : Test/libOdemXT.a
	@rm -rf Test/*.gcda

include buildTools.make
include includePath.make
include library.make

CXXFLAGS = -g3 -O0 -Wall -Wno-sign-compare -ftest-coverage -fprofile-arcs

ODEMX_CONFIG = -DODEMX_USE_OBSERVATION -DODEMX_USE_TRACE -DODEMX_USE_CONTINUOUS

Test/%.o : %.cpp
	@echo Compile $< to target $@
	@$(CXX) -c $(CXXFLAGS) $(ODEMX_CONFIG) $(INCLUDEPATHS) $< -o $@ 2>>error.log || cat error.log

Test/libOdemXT.a : $(TEST_OBJECTS)
	@if test -f error.log -a ! -s error.log; then rm error.log; fi
	@if test -f error.log;\
	then echo; echo There where errors during build process:; echo;\
	cat error.log;\
	echo; echo see error.log for detail; echo;\
	else echo Building archive; $(AR) rs $@ $(TEST_OBJECTS);\
	fi
